Bug 1313221 (CVE-2016-2560) - CVE-2016-2560 phpMyAdmin: multiple XSS vulnerabilities (PMASA-2016-11)
Summary: CVE-2016-2560 phpMyAdmin: multiple XSS vulnerabilities (PMASA-2016-11)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-2560
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160225,repor...
Depends On: 1313225 1313226 1313227 1313229
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-01 08:38 UTC by Martin Prpič
Modified: 2019-06-08 21:02 UTC (History)
10 users (show)

Fixed In Version: phpMyAdmin 4.0.10.15, phpMyAdmin 4.4.15.4, phpMyAdmin 4.5.5.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 14:50:24 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-03-01 08:38:14 UTC
The following XSS issues were found in phpMyAdmin:

By sending a specially crafted URL as part of the HOST header, it is possible to trigger an XSS attack.

A weakness was found that allows an XSS attack with Internet Explorer versions older than 8 and Safari on Windows using a specially crafted URL.

Using a crafted SQL query, it is possible to trigger an XSS attack through the SQL query page.

Using a crafted parameter value, it is possible to trigger an XSS attack in user accounts page.

Using a crafted parameter value, it is possible to trigger an XSS attack in zoom search page.

Affected Versions:

Versions 4.0.x (prior to 4.0.10.15), 4.4.x (prior to 4.4.15.5) and 4.5.x (prior to 4.5.5.1) are affected.

Fixed in:

phpMyAdmin 4.0.10.15, 4.4.15.4, and 4.5.5.1

External References:

https://www.phpmyadmin.net/security/PMASA-2016-11/

Comment 2 Martin Prpič 2016-03-01 08:42:03 UTC
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1313225]
Affects: epel-all [bug 1313226]

Comment 3 Martin Prpič 2016-03-01 08:42:10 UTC
Created phpMyAdmin4 tracking bugs for this issue:

Affects: epel-5 [bug 1313227]

Comment 5 Fedora Update System 2016-03-06 22:27:02 UTC
phpMyAdmin-4.0.10.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-03-09 15:50:39 UTC
php-udan11-sql-parser-3.4.0-1.fc23, phpMyAdmin-4.5.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-03-09 18:46:10 UTC
php-udan11-sql-parser-3.4.0-1.fc23, phpMyAdmin-4.5.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-03-09 20:11:39 UTC
php-udan11-sql-parser-3.4.0-1.fc23, phpMyAdmin-4.5.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-03-10 13:57:35 UTC
phpMyAdmin-4.4.15.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-03-20 18:50:39 UTC
phpMyAdmin4-4.0.10.15-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.